## ros-rolling-ros-ign-bridge 0.244.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

project(ros_ign_bridge)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()
if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic")
endif()

find_package(ament_cmake REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(nav_msgs REQUIRED)
find_package(rclcpp REQUIRED)
find_package(ros_ign_interfaces REQUIRED)
find_package(rosgraph_msgs REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(std_msgs REQUIRED)
find_package(tf2_msgs REQUIRED)
find_package(trajectory_msgs REQUIRED)

# Edifice
if("$ENV{IGNITION_VERSION}" STREQUAL "edifice")
  find_package(ignition-transport10 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport10_VERSION_MAJOR})

  find_package(ignition-msgs7 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs7_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Edifice")
# Default to Fortress
else()
  find_package(ignition-transport11 REQUIRED)
  set(IGN_TRANSPORT_VER ${ignition-transport11_VERSION_MAJOR})

  find_package(ignition-msgs8 REQUIRED)
  set(IGN_MSGS_VER ${ignition-msgs8_VERSION_MAJOR})

  message(STATUS "Compiling against Ignition Fortress")
endif()

set(PACKAGES
  std_msgs
  geometry_msgs
  nav_msgs
  tf2_msgs
  ros_ign_interfaces
  rosgraph_msgs
  sensor_msgs
  trajectory_msgs
)

add_library(bridge_utils
  STATIC
  src/convert/utils.cpp
)
target_include_directories(bridge_utils
  PRIVATE src
)
set_target_properties(bridge_utils PROPERTIES POSITION_INDEPENDENT_CODE ON)

foreach(PKG ${PACKAGES})
  add_library(${PKG}_bridge
    STATIC
    src/convert/${PKG}.cpp
    src/factories/${PKG}.cpp
  )
  target_include_directories(${PKG}_bridge
    PUBLIC include
    PRIVATE src
  )
  ament_target_dependencies(${PKG}_bridge
    "${PKG}"
  )
  target_link_libraries(${PKG}_bridge
    bridge_utils
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  set_target_properties(${PKG}_bridge
    PROPERTIES POSITION_INDEPENDENT_CODE ON)

endforeach()

set(bridge_executables
  parameter_bridge
  static_bridge
)

set(bridge_lib
  ros_ign_bridge_lib
)

add_library(${bridge_lib}
  SHARED
  src/factories.cpp
)

target_include_directories(${bridge_lib}
  PUBLIC include
  PRIVATE src
)

foreach(PKG ${PACKAGES})
  target_link_libraries(${bridge_lib} ${PKG}_bridge)
endforeach()

install(TARGETS ${bridge_lib}
        ARCHIVE DESTINATION lib
        LIBRARY DESTINATION lib
        RUNTIME DESTINATION bin)

install(
  DIRECTORY include/
  DESTINATION include
)

ament_export_include_directories(include)
ament_export_libraries(${bridge_lib})

foreach(bridge ${bridge_executables})
  add_executable(${bridge}
    src/${bridge}.cpp
  )
  target_link_libraries(${bridge}
    ${bridge_lib}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  ament_target_dependencies(${bridge}
    "rclcpp"
    ${PACKAGES}
  )
  install(TARGETS ${bridge}
    DESTINATION lib/${PROJECT_NAME}
  )
endforeach()

if(BUILD_TESTING)
  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  find_package(ament_cmake_gtest REQUIRED)
  find_package(launch_testing_ament_cmake REQUIRED)
  ament_find_gtest()

  add_library(test_utils
    test/utils/ign_test_msg.cpp
    test/utils/ros_test_msg.cpp
  )

  target_include_directories(test_utils
    PUBLIC test ${GTEST_INCLUDE_DIRS}
  )
  target_link_libraries(test_utils
    ${GTEST_LIBRARIES}
    ignition-msgs${IGN_MSGS_VER}::core
    ignition-transport${IGN_TRANSPORT_VER}::core
  )
  ament_target_dependencies(test_utils
    geometry_msgs
    nav_msgs
    rclcpp
    ros_ign_interfaces
    rosgraph_msgs
    sensor_msgs
    std_msgs
    tf2_msgs
    trajectory_msgs
  )

  add_executable(test_ros_publisher test/publishers/ros_publisher.cpp)
  target_link_libraries(test_ros_publisher test_utils)

  add_executable(test_ros_subscriber test/subscribers/ros_subscriber.cpp)
  target_link_libraries(test_ros_subscriber test_utils)

  add_executable(test_ign_publisher test/publishers/ign_publisher.cpp)
  target_link_libraries(test_ign_publisher test_utils)

  add_executable(test_ign_subscriber test/subscribers/ign_subscriber.cpp)
  target_link_libraries(test_ign_subscriber test_utils)

  install(TARGETS
    test_ros_publisher
    test_ros_subscriber
    test_ign_publisher
    test_ign_subscriber
    DESTINATION lib/${PROJECT_NAME}
  )

  add_launch_test(test/launch/test_ros_subscriber.launch.py
    TIMEOUT 200
  )

  add_launch_test(test/launch/test_ign_subscriber.launch.py
    TIMEOUT 200
  )
endif()

ament_export_dependencies(
  rclcpp
  ${PACKAGES}
)

ament_package()

=== debian/changelog ===
ros-rolling-ros-ign-bridge (0.244.1-1focal) focal; urgency=high

  * Improve modularity of ign/ros publisher tests (#194 <https://github.com/osrf/ros_ign/issues/194>)
  * Contributors: Michael Carroll

 -- Louise Poubel <louise@openrobotics.org>  Tue, 04 Jan 2022 08:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.0-1focal) focal; urgency=high

  * Default to Fortress for Rolling (future Humble) (#195 <https://github.com/osrf/ros_ign/issues/195>)
  * [ros2] 🏁 Dome EOL (#199 <https://github.com/osrf/ros_ign/issues/199>)
  * New Light Message, also bridge Color (#187 <https://github.com/osrf/ros_ign/issues/187>)
  * Statically link each translation unit (#193 <https://github.com/osrf/ros_ign/issues/193>)
  * Break apart convert and factories translation unit (#192 <https://github.com/osrf/ros_ign/issues/192>)
  * Fixed ROS subscriber test in ros_ign_bridge (#189 <https://github.com/osrf/ros_ign/issues/189>)
  * Enable QoS overrides (#181 <https://github.com/osrf/ros_ign/issues/181>)
  * Fixed ros ign bridge documentation (#178 <https://github.com/osrf/ros_ign/issues/178>)
  * Expose Contacts through ROS bridge (#175 <https://github.com/osrf/ros_ign/issues/175>)
  * Contributors: Alejandro Hernández Cordero, Guillaume Doisy, Louise Poubel, Michael Carroll, Vatan Aksoy Tezer, William Lew

 -- Louise Poubel <louise@openrobotics.org>  Thu, 30 Dec 2021 08:00:00 -0000

ros-rolling-ros-ign-bridge (0.233.2-1focal) focal; urgency=high

  * [ros2] Update version docs, add Galactic and Fortress (#164 <https://github.com/osrf/ros_ign/issues/164>)
  * Contributors: Louise Poubel

 -- Louise Poubel <louise@openrobotics.org>  Tue, 20 Jul 2021 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.233.1-1focal) focal; urgency=high

  * Default to Edifice for Rolling (#150 <https://github.com/osrf/ros_ign/issues/150>)
  * Ignore local publications for ROS 2 subscriber (#146 <https://github.com/osrf/ros_ign/issues/146>)
    - Note: Does not work with all rmw implementations (e.g.: FastRTPS)
  * Update documentation for installation instructions and bridge examples (#142 <https://github.com/osrf/ros_ign/issues/142>)
  * Edifice support (#140 <https://github.com/osrf/ros_ign/issues/140>)
  * Add JointTrajectory message conversion (#121 <https://github.com/osrf/ros_ign/issues/121>)
    Conversion between
    - ignition::msgs::JointTrajectory
    - trajectory_msgs::msg::JointTrajectory
  * Add TFMessage / Pose_V and Float64 / Double conversions (#117 <https://github.com/osrf/ros_ign/issues/117>)
    Addresses issue #116 <https://github.com/osrf/ros_ign/issues/116>
  * Updated prereq & branch name (#113 <https://github.com/osrf/ros_ign/issues/113>)
  * Update releases (#108 <https://github.com/osrf/ros_ign/issues/108>)
  * Updated README.md (#104 <https://github.com/osrf/ros_ign/issues/104>)
  * Add support for Dome (#103 <https://github.com/osrf/ros_ign/issues/103>)
  * Contributors: Alejandro Hernández Cordero, Andrej Orsula, Florent Audonnet, Jenn, Louise Poubel, Luca Della Vedova

 -- Louise Poubel <louise@openrobotics.org>  Fri, 16 Apr 2021 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.221.1-1focal) focal; urgency=high

  * Add pkg-config as a buildtool dependency (#102 <https://github.com/osrf/ros_ign/issues/102>)
  * Port ros_ign_bridge tests to ROS 2 (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Rename test_utils.hpp (#98 <https://github.com/osrf/ros_ign/issues/98>)
  * Contributors: Louise Poubel, ahcorde

 -- Louise Poubel <louise@openrobotics.org>  Wed, 19 Aug 2020 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.221.0-1focal) focal; urgency=high

  * Install only what's necessary, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Move headers to src, rename builtin_interfaces (#95 <https://github.com/osrf/ros_ign/issues/95>)
  * Integer support (#91 <https://github.com/osrf/ros_ign/issues/91>)
    Adds Int32 to the bridge.
  * [ros2] Fixed CI - Added Foxy (#89 <https://github.com/osrf/ros_ign/issues/89>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Ignore ros-args in parameter bridge (#65 <https://github.com/osrf/ros_ign/issues/65>)
  * Update Dashing docs (#62 <https://github.com/osrf/ros_ign/issues/62>)
  * Update dependencies to Citadel (#57 <https://github.com/osrf/ros_ign/issues/57>)
  * [WIP] Port ign_ros_gazebo_demos to ROS2 (#58 <https://github.com/osrf/ros_ign/issues/58>)
    Port ros_ign_image to ROS2
    Port ros_ign_gazebo_demos to ROS2
  * Add support for std_msgs/Empty (#53 <https://github.com/osrf/ros_ign/issues/53>)
  * Add support for std_msgs/Bool (#50 <https://github.com/osrf/ros_ign/issues/50>)
  * [ros2] Port ros_ign_bridge to ROS2 (#45 <https://github.com/osrf/ros_ign/issues/45>)
  * Enable ROS2 CI for Dashing branch (#43 <https://github.com/osrf/ros_ign/issues/43>)
  * Make all API and comments ROS-version agnostic
  * Rename packages and fix compilation + tests
  * Move files ros1 -> ros
  * Contributors: Addisu Taddese, Alejandro Hernández Cordero, Jose Luis Rivero, Louise Poubel, Luca Della Vedova, Michael Carroll, Mohamed Ahmed, Shivesh Khaitan, chapulina

 -- Louise Poubel <louise@openrobotics.org>  Thu, 23 Jul 2020 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.7.0-1focal) focal; urgency=high

  * Merge pull request #38 <https://github.com/osrf/ros1_ign_bridge/issues/38> from osrf/unidirectional
    Support unidirectional bridge topics
  * More examples
  * Merge pull request #37 <https://github.com/osrf/ros1_ign_bridge/issues/37> from osrf/debug
    Adding debug and error statements
  * Switch to characters supported by ros
  * Merge branch 'debug' into unidirectional
  * More output, and rosconsole depend
  * Support specification of bridge direction
  * Adding debug and error statements
  * Contributors: Nate Koenig

 -- Louise Poubel <louise@openrobotics.org>  Thu, 15 Aug 2019 07:00:00 -0000

ros-rolling-ros-ign-bridge (0.6.3-1focal) focal; urgency=high





=== debian/control ===
Source: ros-rolling-ros-ign-bridge
Section: misc
Priority: optional
Maintainer: Louise Poubel <louise@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), libignition-msgs8-dev, libignition-transport11-dev, pkg-config, ros-rolling-ament-cmake, ros-rolling-ament-cmake-gtest, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-geometry-msgs, ros-rolling-launch-ros, ros-rolling-launch-testing, ros-rolling-launch-testing-ament-cmake, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-ros-ign-interfaces, ros-rolling-rosgraph-msgs, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2-msgs, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-ign-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libignition-msgs8-dev, libignition-transport11-dev, ros-rolling-geometry-msgs, ros-rolling-nav-msgs, ros-rolling-rclcpp, ros-rolling-ros-ign-interfaces, ros-rolling-rosgraph-msgs, ros-rolling-sensor-msgs, ros-rolling-std-msgs, ros-rolling-tf2-msgs, ros-rolling-trajectory-msgs, ros-rolling-ros-workspace
Description: Bridge communication between ROS and Ignition Transport

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/rolling/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-rolling-ros-ign-bridge//opt/ros/rolling/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/rolling/setup.sh" ]; then . "/opt/ros/rolling/setup.sh"; fi && \
	dh_auto_install

## ros-rolling-ros-ign-bridge 0.245.0

=== debian/changelog ===
ros-rolling-ros-ign-bridge (0.245.0-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.11-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Tue, 23 May 2023 05:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.10-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Wed, 03 May 2023 05:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.9-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Thu, 03 Nov 2022 05:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.8-1jammy) jammy; urgency=high



 -- Brandon Ong <brandon@openrobotics.org>  Fri, 28 Oct 2022 05:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.7-1jammy) jammy; urgency=high

  * Merge branch 'ros2' into ports/galactic_to_ros2
  * Merge branch 'galactic' into ports/galactic_to_ros2
  * Make tests faster and more robust (#272 <https://github.com/gazebosim/ros_gz/issues/272>)
  * Improve documentation around yaml configuration (#271 <https://github.com/gazebosim/ros_gz/issues/271>)
  * Fix small typo in bridge README (#270 <https://github.com/gazebosim/ros_gz/issues/270>)
  * Port NavSat (#224 <https://github.com/gazebosim/ros_gz/issues/224>) from ROS 1 to ROS 2 (#268 <https://github.com/gazebosim/ros_gz/issues/268>)
    Co-authored-by: Tyler Howell <mailto:76003804+TyHowellWork@users.noreply.github.com>
  * Add ParamVec and bridge from Ignition (#261 <https://github.com/gazebosim/ros_gz/issues/261>)
    * Introduces ros_ign_interfaces::msg::ParamVec for storing a list of Parameters that are int, bool, double, or string.
    * Introduces bridge for ignition::msgs::param to ros_ign_interfaces::msg::ParamVec
    * Introduces bridge for ignition::msgs::param_v to ros_ign_interfaces::msg::ParamVec
  * Add support for converting Any <-> ParamValue (#260 <https://github.com/gazebosim/ros_gz/issues/260>)
    * Add support for converting Any <-> ParamValue
  * Feature: set QoS options to override durability (#250 <https://github.com/gazebosim/ros_gz/issues/250>) (#259 <https://github.com/gazebosim/ros_gz/issues/259>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
    Co-authored-by: Daisuke Nishimatsu <mailto:42202095+wep21@users.noreply.github.com>
  * Add node component and yaml-configured bridge node (#238 <https://github.com/gazebosim/ros_gz/issues/238>)
    * Refactor in support of adding yaml-configured node
  * Add rssi to Dataframe.msg (#249 <https://github.com/gazebosim/ros_gz/issues/249>)
    * Adding rssi field to ros_ign_interfaces/Dataframe.msg
  * Use the python generator for tests as well (#234 <https://github.com/gazebosim/ros_gz/issues/234>)
    * Use the python generator for tests as well
  * Generate boilerplate files from Python scripts (#233 <https://github.com/gazebosim/ros_gz/issues/233>)
    The way that we add factories can be a bit error-prone, as there are a lot of strings that cannot be checked at compilation time. This changes several of the boilerplate files to be generated automatically by python scripts, in line with how ros1_bridge does it.
  * [galactic] Backport GuiCamera, StringVec, TrackVisual, VideoRecord (#241 <https://github.com/gazebosim/ros_gz/issues/241>)
    * [ros_ign_interfaces] Add more interface definitions.
    * Add converion functions for the added messages
    * Update the factory factory function with the new messages
    * Add new messages to docs
    * Add test cases for the new messages conversions
    Co-authored-by: Ivan Santiago Paunovic <mailto:ivanpauno@ekumenlabs.com>
  * Add Dataframe message and bridging (#239 <https://github.com/gazebosim/ros_gz/issues/239>)
  * Factory interface needs virtual destructor (#232 <https://github.com/gazebosim/ros_gz/issues/232>)
  * Optional "lazy" bridge subscribers (#225 <https://github.com/gazebosim/ros_gz/issues/225>)
    This allows for the bridge to be created in such a way that it is "lazy". In this case "lazy" means:
    * The publication (output) side of the bridge is always on and actively looking for subscriptions.
    * The subscription (input) side of the bridge is only turned on in the case that there are subscriptions on the output side.
  * Contributors: Carlos Agüero, Louise Poubel, Michael Carroll

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 12 Oct 2022 05:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.6-1jammy) jammy; urgency=high

  * Restructured directories (#296 <https://github.com/gazebosim/ros_gz/issues/296>)
  * Contributors: Alejandro Hernández Cordero

 -- Brandon Ong <brandon@openrobotics.org>  Wed, 14 Sep 2022 05:00:00 -0000

ros-rolling-ros-ign-bridge (0.244.5-1jammy) jammy; urgency=high

  * ign -> gz : ros_gz Migration (Shims) (#281 <https://github.com/gazebosim/ros_gz/issues/281>)
    Co-authored-by: Louise Poubel <mailto:louise@openrobotics.org>
  * Contributors: methylDragon

 -- Brandon Ong <brandon@openrobotics.org>  Mon, 12 Sep 2022 05:00:00 -0000

=== debian/control ===
Source: ros-rolling-ros-ign-bridge
Section: misc
Priority: optional
Maintainer: Brandon Ong <brandon@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-index-cpp, ros-rolling-ros-gz-bridge, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-ros-ign-bridge
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-ros-gz-bridge, ros-rolling-ros-workspace
Description: Shim package to redirect to ros_gz_bridge.

=== debian/rules ===
--- 
+++ 
@@ -17,9 +17,14 @@
 # Explicitly enable -DNDEBUG, see:
 # 	https://github.com/ros-infrastructure/bloom/issues/327
 export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
+ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
+	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
+endif
+
+DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 %:
-	dh $@ -v --buildsystem=cmake
+	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)
 
 override_dh_auto_configure:
 	# In case we're installing to a non-standard location, look for a setup.sh
@@ -29,7 +34,8 @@
 	dh_auto_configure -- \
 		-DCMAKE_INSTALL_PREFIX="/opt/ros/rolling" \
 		-DAMENT_PREFIX_PATH="/opt/ros/rolling" \
-		-DCMAKE_PREFIX_PATH="/opt/ros/rolling"
+		-DCMAKE_PREFIX_PATH="/opt/ros/rolling" \
+		$(BUILD_TESTING_ARG)
 
 override_dh_auto_build:
 	# In case we're installing to a non-standard location, look for a setup.sh
